Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034497
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2016-11-14 16:182018-02-22 18:18
ReportercaristuView Statuspublic 
Assigned Tocollazoandy4 
PriorityhighResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision5b6a22a83186
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034497: CostingTransactionsHQLTransformer class is not thread safe

DescriptionThe application scoped class CostingTransactionsHQLTransformer[1] (it extends application scoped HqlQueryTransformer class) is stateful no thread safe. This means that it does not guarantee its correct execution (even working in a single node) when being executed by different threads in parallel.


[1] https://code.openbravo.com/erp/devel/pi/file/3b0fb57e7fed/src/org/openbravo/common/datasource/CostingTransactionsHQLTransformer.java [^]
Steps To ReproduceIn description
TagsmultiThread
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0034664 acknowledgedplatform multi thread unsafeties 

-  Notes
(0101609)
hgbot (developer)
2018-01-08 09:36

Repository: erp/devel/pi
Changeset: 5b6a22a83186f0a6073b2b815011c8cff285ead0
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Jan 04 13:35:03 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5b6a22a83186f0a6073b2b815011c8cff285ead0 [^]

Fixes issue 34497: CostingTransactionsHQLTransformer class is not thread safe

The orgs and costDimensions fields is now local variable for the transformHqlQuery
method to avoid concurrent modification access when being executed by different
threads in parallel

A refactor was made including the previous fields as method args when it needed

---
M src/org/openbravo/common/datasource/CostingTransactionsHQLTransformer.java
---
(0101610)
hgbot (developer)
2018-01-08 09:36

Repository: erp/devel/pi
Changeset: cd520d72489f4fb97bed0ba09800404432d76149
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Jan 04 13:36:24 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/cd520d72489f4fb97bed0ba09800404432d76149 [^]

Relate to Issue 34497: Several minor improvements to the code:

* Updated license year
* Changed StringBuffers with StringBuilders
* Set the names of the constants to uppercase
* Removed unnecessary comparison in if clause
* Use .isEmpty() instead of .size() > 0

---
M src/org/openbravo/common/datasource/CostingTransactionsHQLTransformer.java
---
(0101612)
dmiguelez (developer)
2018-01-08 09:40

Code Review + Testing Ok
(0102646)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102647)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-11-14 16:18 caristu New Issue
2016-11-14 16:18 caristu Assigned To => Triage Finance
2016-11-14 16:18 caristu Modules => Core
2016-11-14 16:18 caristu Triggers an Emergency Pack => No
2016-11-14 16:19 caristu Relationship added related to 0034490
2016-11-14 16:19 caristu Description Updated View Revisions
2016-11-15 11:15 caristu Summary [clustering] CostingTransactionsHQLTransformer class is not thread safe => CostingTransactionsHQLTransformer class is not thread safe
2016-11-16 16:39 alostale Tag Attached: multiThread
2016-11-16 16:40 alostale Relationship deleted related to 0034490
2016-12-01 11:57 alostale Severity minor => major
2016-12-01 11:57 alostale Relationship added blocks 0034664
2017-12-26 11:28 vmromanos Status new => scheduled
2017-12-26 11:28 vmromanos Assigned To Triage Finance => collazoandy4
2018-01-08 09:36 hgbot Checkin
2018-01-08 09:36 hgbot Note Added: 0101609
2018-01-08 09:36 hgbot Status scheduled => resolved
2018-01-08 09:36 hgbot Resolution open => fixed
2018-01-08 09:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5b6a22a83186f0a6073b2b815011c8cff285ead0 [^]
2018-01-08 09:36 hgbot Checkin
2018-01-08 09:36 hgbot Note Added: 0101610
2018-01-08 09:40 dmiguelez Review Assigned To => dmiguelez
2018-01-08 09:40 dmiguelez Note Added: 0101612
2018-01-08 09:40 dmiguelez Status resolved => closed
2018-01-08 09:40 dmiguelez Fixed in Version => 3.0PR18Q2
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102646
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102647


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker